## GESBaseEffect GESBaseEffect — adds an effect to a stream in a GESSourceClip or a GESLayer |

## Types and Values

| GESBaseEffect

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GESTimelineElement
                ╰── GESTrackElement
                    ╰── GESOperation
                        ╰── GESBaseEffect
                            ╰── GESEffect

## Implemented Interfaces

GESBaseEffect implements GESExtractable and GESMetaContainer.

## Includes

    #include <ges/ges.h>

## Description

## Functions

## Types and Values

### GESBaseEffect

    typedef struct _GESBaseEffect GESBaseEffect;